package ROTool::MapNameConverter;
sub new{
    my $class   = shift;
    my $mapfile = shift;
    my $self    = {
	area2name => {},
	name2area => {}
    };
    open(FD, $mapfile)
	or &ROTool::printlog(1," conversion map load error.\n");
    while(<FD>) {
	chomp();
	my($field, $mapname) = split(/[,=]/, $_,2);
#	$field   = "[".$field."]" if($field);
	$self->{area2name}->{$field} = $mapname;
	if($mapname){ $self->{name2area}->{$mapname} = $field; }
    }
    close(FD);
    return bless $self,$class;
}
    
sub area2name{
    my $self  = shift;
    my $field = shift;
    return $self->{area2name}->{$field};
}

sub name2area{
    my $self  = shift;
    my $field = shift;
    return defined($field) ? $self->{name2area}->{$field} : 0;
}

1;
